# Uses of Class
java.awt.JobAttributes.DestinationType

Packages that use JobAttributes.DestinationType
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

- ## Uses of JobAttributes.DestinationType in java.awt

  Fields in java.awt declared as JobAttributes.DestinationType
  Modifier and Type
  Field
  Description
  `static final JobAttributes.DestinationType`
  JobAttributes.DestinationType.`FILE`
  The `DestinationType` instance to use for specifying print to file.
  `static final JobAttributes.DestinationType`
  JobAttributes.DestinationType.`PRINTER`
  The `DestinationType` instance to use for specifying print to printer.
  Methods in java.awt that return JobAttributes.DestinationType
  Modifier and Type
  Method
  Description
  `JobAttributes.DestinationType`
  JobAttributes.`getDestination()`
  Specifies whether output will be to a printer or a file for jobs using these attributes.
  Methods in java.awt with parameters of type JobAttributes.DestinationType
  Modifier and Type
  Method
  Description
  `void`
  JobAttributes.`setDestination(JobAttributes.DestinationType destination)`
  Specifies whether output will be to a printer or a file for jobs using these attributes.
  Constructors in java.awt with parameters of type JobAttributes.DestinationType
  Modifier
  Constructor
  Description
  ``
  `JobAttributes(int copies, JobAttributes.DefaultSelectionType defaultSelection, JobAttributes.DestinationType destination, JobAttributes.DialogType dialog, String fileName, int maxPage, int minPage, JobAttributes.MultipleDocumentHandlingType multipleDocumentHandling, int[][] pageRanges, String printer, JobAttributes.SidesType sides)`
  Constructs a `JobAttributes` instance with the specified values for every attribute.